Dentalia has now been updated to 2.3 and a major update for Recycle is coming soon. We hope you enjoy the new features! Thanks for your patience!

Okay
  Public Ticket #3580076
Slider Revolution has a major security vulnerability
Closed

Comments

  •  4
    Elias started the conversation

    Hello,

    The plugin ‘Slider Revolution’ has a major security vulnerability: https://www.wordfence.com/threat-intel/vulnerabilities/wordpress-plugins/revslider/slider-revolution-6619-authenticated-author-php-object-injection.

    Can we get the patched version (6.6.19 or above) to keep our websites safe?

    Elias

  •  540
    OrionThemes replied

    Hi Elias,

    Here is how you can update the Revolution Slider plugin:

    1. In WordPress Admin interface navigate to “Plugins”
    2. Find Slider Revolution and disable it, then delete it.
    3. When you delete the plugin, the following notification will appear .
      1231476264.png
    4. Click Begin installing plugin, then click install plugin. The latest version from our server will be downloaded.
    5. If for some reason the notification does not appear, or you mistakenly close it, you can install the latest version of Slider Revolution under Appearance -> install plugins.

    Kind regards,

    Andrej

  •  4
    Elias replied

    Hi Andrej,

    Thanks for your quick response!

    I followed your steps and the plugin is updated, but to version 6.2.2. Is this correct? 

    Wordfence says that all versions below < 6.6.19 is affected, so we need at least version 6.6.19.

    Elias

  •  540
    OrionThemes replied

    Hi Elias,
    I just tested the Rev slider update on my dev installation and it was successfully updated to version 6.6.20.
    Please check the version in your WP dashboard -> Plugins. If it is not 6.6.20 then make sure to delete the plugin (not deactivate) and then reinstall it.

    8445721704.png

    Kind regards,

    Andrej

  •  4
    Elias replied

    Hey Andrej,

    I've deleted the plugin once again and reinstalled it, but I'm still on 6.2.2.

    Is there another way how I could update the plugin?

    Elias

  •   OrionThemes replied privately
  •  4
    Elias replied

    Hey Andrej,

    When I upload your zip file in WP I get the following error: "Archive is not compatible". I also can't open the zip file on my pc, it gives an error as well. Can you re-check your file?

    I'm sorry for the inconvenience :)

    Elias

  •   OrionThemes replied privately
  •  4
    Elias replied

    That worked, that a lot for the support!

  •  540
    OrionThemes replied

    Glad to hear it! Have a great week!